KYB Review
13 operations
ApiKeyAuthAuthorization<token>HMAC-SHA256 Credential=<key_id>, Signature=<hex_signature>. SignedHeaders=x-timestamp is optional. Requires X-Timestamp header.
page?integerPage (default 1)
page_size?integerPage size (1-100, default 50)
status?stringComma-separated statuses: pending,assigned,in_progress,awaiting_resubmit,approved,rejected,completed
priority?stringComma-separated priorities: low,medium,high,urgent
flow_id?stringFlow UUID
assigned_to?stringReviewer/API key UUID
session_id?stringSession UUID
q?stringSearch by external ID/company
date_from?stringFrom (RFC3339)
date_to?stringTo (RFC3339)
sla_status?stringSLA status: breached, warning, ok
sort?stringSort order: priority_desc, sla_asc, created_at_asc, created_at_desc
X-Timestamp*stringUnix timestamp (seconds, max 5 min drift)
OK
application/json- response
data?array<>pagination?success?booleancurl -X GET 'https://api.onekyc.io/tenant/v1/kyb/review-tasks' \ -H 'X-Timestamp: string'{ "pagination": { "page": 0, "page_size": 0, "total_items": 0, "total_pages": 0 }, "success": true, "data": [ { "applicant_first_name": "string", "applicant_full_name": "string", "applicant_full_name_latin": "string", "applicant_full_name_native": "string", "applicant_full_name_original": "string", "applicant_id": "string", "applicant_last_name": "string", "applicant_middle_name": "string", "applicant_nationality": "string", "assigned_at": "string", "assigned_display_name": "string", "assigned_to": "string", "assigned_to_type": "string", "business_company_name": "string", "business_country": "string", "business_external_id": "string", "business_id": "string", "business_registration_number": "string", "business_tax_number": "string", "created_at": "string", "external_user_id": "string", "flow_id": "string", "flow_name": "string", "id": "string", "priority": 0, "reason": "string", "review_reasons": [ {} ], "reviewer_email": "string", "reviewer_first_name": "string", "reviewer_last_name": "string", "session_created_at": "string", "session_environment": "string", "session_id": "string", "sla_breached": true, "sla_deadline": "string", "started_at": "string", "status": "string", "system_decision": "string", "tenant_id": "string", "verification_result": "string", "verification_score": 0 } ]}ApiKeyAuthAuthorization<token>HMAC-SHA256 Credential=<key_id>, Signature=<hex_signature>. SignedHeaders=x-timestamp is optional. Requires X-Timestamp header.
task_id*stringReview task UUID
X-Timestamp*stringUnix timestamp (seconds, max 5 min drift)
OK
application/json- response
data?success?booleancurl -X GET 'https://api.onekyc.io/tenant/v1/kyb/review-tasks/string' \ -H 'X-Timestamp: string'{ "success": true, "data": { "comments": [ { "author_display_name": "string", "author_id": "string", "author_type": "string", "content": "string", "created_at": "string", "id": "string", "task_id": "string" } ], "task": { "applicant_id": "string", "approval_blocked_reason": "string", "assigned_at": "string", "assigned_display_name": "string", "assigned_to": "string", "assigned_to_type": "string", "completed_at": "string", "created_at": "string", "decision": "string", "decision_at": "string", "decision_by": "string", "decision_by_type": "string", "decision_display_name": "string", "external_user_id": "string", "flow_id": "string", "flow_name": "string", "history": [ { "action": "string", "actor_id": "string", "actor_name": "string", "actor_type": "string", "created_at": "string", "details": { "property1": null, "property2": null }, "id": "string" } ], "id": "string", "notes": "string", "priority": 0, "reason": "string", "reason_details": "string", "reject_reason_code": "string", "resubmit_limit_override": 0, "review_reasons": [ {} ], "session_created_at": "string", "session_entity_type": "string", "session_environment": "string", "session_id": "string", "session_status": "string", "status": "string", "system_decision": "string", "tenant_id": "string" } }}ApiKeyAuthAuthorization<token>HMAC-SHA256 Credential=<key_id>, Signature=<hex_signature>. SignedHeaders=x-timestamp is optional. Requires X-Timestamp header.
task_id*stringReview task UUID
X-Timestamp*stringUnix timestamp (seconds, max 5 min drift)
Optional comment and optimistic lock timestamp
application/json- body
comment?stringif_unmodified_since?stringOK
application/json- response
data?unknownsuccess?booleancurl -X POST 'https://api.onekyc.io/tenant/v1/kyb/review-tasks/string/approve' \ -H 'X-Timestamp: string' \ -H 'Content-Type: application/json' \ -d '{}'{ "data": null, "success": true}ApiKeyAuthAuthorization<token>HMAC-SHA256 Credential=<key_id>, Signature=<hex_signature>. SignedHeaders=x-timestamp is optional. Requires X-Timestamp header.
task_id*stringReview task UUID
X-Timestamp*stringUnix timestamp (seconds, max 5 min drift)
OK
application/json- response
data?unknownsuccess?booleancurl -X POST 'https://api.onekyc.io/tenant/v1/kyb/review-tasks/string/assign' \ -H 'X-Timestamp: string'{ "data": null, "success": true}ApiKeyAuthAuthorization<token>HMAC-SHA256 Credential=<key_id>, Signature=<hex_signature>. SignedHeaders=x-timestamp is optional. Requires X-Timestamp header.
task_id*stringReview task UUID
X-Timestamp*stringUnix timestamp (seconds, max 5 min drift)
OK
application/json- response
data?array<>pagination?success?booleancurl -X GET 'https://api.onekyc.io/tenant/v1/kyb/review-tasks/string/comments' \ -H 'X-Timestamp: string'{ "pagination": { "has_more": true, "limit": 0, "next_cursor": "string", "offset": 0, "total": 0 }, "success": true, "data": [ { "author_display_name": "string", "author_id": "string", "author_type": "string", "content": "string", "created_at": "string", "id": "string", "task_id": "string" } ]}ApiKeyAuthAuthorization<token>HMAC-SHA256 Credential=<key_id>, Signature=<hex_signature>. SignedHeaders=x-timestamp is optional. Requires X-Timestamp header.
task_id*stringReview task UUID
X-Timestamp*stringUnix timestamp (seconds, max 5 min drift)
Comment payload
application/json- body
content?stringContent is the comment text (required, non-empty after trim).
OK
application/json- response
data?success?booleancurl -X POST 'https://api.onekyc.io/tenant/v1/kyb/review-tasks/string/comments' \ -H 'X-Timestamp: string' \ -H 'Content-Type: application/json' \ -d '{}'{ "success": true, "data": { "author_display_name": "string", "author_id": "string", "author_type": "string", "comment_id": "string", "content": "string", "created_at": "string", "message": "string", "task_id": "string" }}ApiKeyAuthAuthorization<token>HMAC-SHA256 Credential=<key_id>, Signature=<hex_signature>. SignedHeaders=x-timestamp is optional. Requires X-Timestamp header.
task_id*stringReview task UUID
document_id*stringDocument ID or storage key suffix
X-Timestamp*stringUnix timestamp (seconds, max 5 min drift)
OK
application/json- response
data?unknownsuccess?booleancurl -X GET 'https://api.onekyc.io/tenant/v1/kyb/review-tasks/string/documents/string/url' \ -H 'X-Timestamp: string'{ "data": null, "success": true}ApiKeyAuthAuthorization<token>HMAC-SHA256 Credential=<key_id>, Signature=<hex_signature>. SignedHeaders=x-timestamp is optional. Requires X-Timestamp header.
task_id*stringReview task UUID
X-Timestamp*stringUnix timestamp (seconds, max 5 min drift)
Priority payload
application/json- body
priority?stringOK
application/json- response
data?unknownsuccess?booleancurl -X PATCH 'https://api.onekyc.io/tenant/v1/kyb/review-tasks/string/priority' \ -H 'X-Timestamp: string' \ -H 'Content-Type: application/json' \ -d '{}'{ "data": null, "success": true}ApiKeyAuthAuthorization<token>HMAC-SHA256 Credential=<key_id>, Signature=<hex_signature>. SignedHeaders=x-timestamp is optional. Requires X-Timestamp header.
task_id*stringReview task UUID
X-Timestamp*stringUnix timestamp (seconds, max 5 min drift)
Reject payload
application/json- body
comment?stringif_unmodified_since?stringreason_code?stringOK
application/json- response
data?unknownsuccess?booleancurl -X POST 'https://api.onekyc.io/tenant/v1/kyb/review-tasks/string/reject' \ -H 'X-Timestamp: string' \ -H 'Content-Type: application/json' \ -d '{}'{ "data": null, "success": true}ApiKeyAuthAuthorization<token>HMAC-SHA256 Credential=<key_id>, Signature=<hex_signature>. SignedHeaders=x-timestamp is optional. Requires X-Timestamp header.
task_id*stringReview task UUID
X-Timestamp*stringUnix timestamp (seconds, max 5 min drift)
Resubmit payload
application/json- body
client_message?stringinternal_notes?stringreason_code?stringrequest_id?stringscope?stringstep_id?stringOK
application/json- response
data?success?booleancurl -X POST 'https://api.onekyc.io/tenant/v1/kyb/review-tasks/string/request-resubmit' \ -H 'X-Timestamp: string' \ -H 'Content-Type: application/json' \ -d '{}'{ "success": true, "data": { "clientMessage": "string", "createdAt": "string", "deliveredAt": "string", "deliveryChannel": "string", "expiresAt": "string", "fulfilledAt": "string", "id": "string", "internalNotes": "string", "reasonCode": "string", "requestedBy": "string", "requestedByDisplayName": "string", "requestedByType": "string", "scope": "string", "sessionID": "string", "status": "string", "stepID": "string", "taskID": "string", "tenantID": "string", "updatedAt": "string" }}ApiKeyAuthAuthorization<token>HMAC-SHA256 Credential=<key_id>, Signature=<hex_signature>. SignedHeaders=x-timestamp is optional. Requires X-Timestamp header.
task_id*stringReview task UUID
X-Timestamp*stringUnix timestamp (seconds, max 5 min drift)
OK
application/json- response
data?array<>pagination?success?booleancurl -X GET 'https://api.onekyc.io/tenant/v1/kyb/review-tasks/string/resubmits' \ -H 'X-Timestamp: string'{ "pagination": { "has_more": true, "limit": 0, "next_cursor": "string", "offset": 0, "total": 0 }, "success": true, "data": [ { "clientMessage": "string", "createdAt": "string", "deliveredAt": "string", "deliveryChannel": "string", "expiresAt": "string", "fulfilledAt": "string", "id": "string", "internalNotes": "string", "reasonCode": "string", "requestedBy": "string", "requestedByDisplayName": "string", "requestedByType": "string", "scope": "string", "sessionID": "string", "status": "string", "stepID": "string", "taskID": "string", "tenantID": "string", "updatedAt": "string" } ]}ApiKeyAuthAuthorization<token>HMAC-SHA256 Credential=<key_id>, Signature=<hex_signature>. SignedHeaders=x-timestamp is optional. Requires X-Timestamp header.
X-Timestamp*stringUnix timestamp (seconds, max 5 min drift)
OK
application/json- response
data?array<>pagination?success?booleancurl -X GET 'https://api.onekyc.io/tenant/v1/kyb/review-tasks/reject-reasons' \ -H 'X-Timestamp: string'{ "pagination": { "has_more": true, "limit": 0, "next_cursor": "string", "offset": 0, "total": 0 }, "success": true, "data": [ { "category": "string", "code": "string", "label_en": "string", "label_ru": "string" } ]}ApiKeyAuthAuthorization<token>HMAC-SHA256 Credential=<key_id>, Signature=<hex_signature>. SignedHeaders=x-timestamp is optional. Requires X-Timestamp header.
X-Timestamp*stringUnix timestamp (seconds, max 5 min drift)
OK
application/json- response
data?success?booleancurl -X GET 'https://api.onekyc.io/tenant/v1/kyb/review-tasks/stats' \ -H 'X-Timestamp: string'{ "success": true, "data": { "avg_time_minutes": 0, "completed_today": 0, "in_progress": 0, "pending": 0 }}